Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® OS Smartphones

Reply
New Contributor
Posts: 3
Registered: ‎09-15-2009
My Device: Not Specified

U2 app doesn't work for 8330!!

My wife and I both have 8330 and we have tried multiple times to load the new U2 app today, but we receive errors like it doesn't want to work. I have an 8330 for work and I was able to load it on that phone. Why can't we load it?? I thought it worked for all phones?
Trusted Contributor
Posts: 107
Registered: ‎08-31-2009
My Device: Rogers BB 8800 (Still kicking)

Re: U2 app doesn't work for 8330!!

Hi,

What is the error message? Is she added to a BES server where a policy could be stopping the application? If it worked on your unit it should work on yours.

 

Try deleting the application from Options -> Advanced Options -> Applications and try re-downloading it again.

 

Peace,

 

BBTechSupport

--------------------------------------------------------------------------------
Don't forget to CLICK that BLACK or GRAY Kudos square if some one was helpful.
Also please mark it as a solution if your problem is solved.
New Contributor
Posts: 3
Registered: ‎09-15-2009
My Device: Not Specified

Re: U2 app doesn't work for 8330!!

It says: AN error has been encountered. Your request cannot be handled at this time. 

 

We have an unlimited data plan through Sprint. There shouldn't be any reason on our end why it won't load. The app only worked on my work 8310. My wife and I both have 8330's as well, that is receiving the error. 

Trusted Contributor
Posts: 107
Registered: ‎08-31-2009
My Device: Rogers BB 8800 (Still kicking)

Re: U2 app doesn't work for 8330!!

Hi,

The fact that worked in the 8310 does not mean that it should work on the 8330. Check with the application developer to see if the application support the 8330 and the version OS you have on the unit.

Peace,

 

BBTechSupport

--------------------------------------------------------------------------------
Don't forget to CLICK that BLACK or GRAY Kudos square if some one was helpful.
Also please mark it as a solution if your problem is solved.
New Contributor
Posts: 3
Registered: ‎09-15-2009
My Device: Not Specified

Re: U2 app doesn't work for 8330!!

Ok, I have tried again and the new error says: Sorry, your device does not meet the system requirements that are needed to support U2 Mobile Album. I thought RIM designed the U2 app?!?! I really thought the app worked on all devices.

 

 

Forums Advisor III
Posts: 1,388
Registered: ‎05-29-2009
My Device: 8330

Re: U2 app doesn't work for 8330!!

Welcome to the forums ChandlerBing Smiley Happy

 

I can confirm that the app does indeed work on the 8330. I have the same phone and I got it up and running with the U2 app just fine. You can install the app from your computer as well. Go to this site: http://na.blackberry.com/eng/u2/download.jsp

 

Go to the download link and click "download" under the heading "Download from Your Computer".

 

Make sure you blackberry is plugged into your computer and you use internet explorer before doing this.

Kijana
Please remember to:
1. Mark Accept as Solution on the appropriate post once your issue has been resolved
2. Give Kudos to helpful posts (click the star next to the post)
Thanks Smiley Happy
Highlighted
New Member
Posts: 1
Registered: ‎02-05-2011
My Device: Not Specified

Re: U2 app doesn't work for 8330!!

I have a blackberry bold 9700. When I try to download the U2 mobile album why does it say my bb doesn't meet the system requirements? I don't exactly have it loaded down with a ton of apps.